// Copyright (C) 2018 The Qt Company Ltd.
// SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only

#ifndef QTESTOPTIONS_P_H
#define QTESTOPTIONS_P_H

//
//  W A R N I N G
//  -------------
//
// This file is not part of the Qt API.  It exists purely as an
// implementation detail.  This header file may change from version to
// version without notice, or even be removed.
//
// We mean it.
//

#if QT_VERSION < QT_VERSION_CHECK(5, 11, 0)
# include <QtTest/qtest_global.h>
# include <QtCore/private/qglobal_p.h>
#else
# include <QtTest/qttestglobal.h>
#endif

#include <QtCore/qstring.h>
#include <QtCore/qstringlist.h>

QT_BEGIN_NAMESPACE


namespace QTest
{
    extern Q_TESTLIB_EXPORT bool printAvailableFunctions;
    extern Q_TESTLIB_EXPORT QStringList testFunctions;
    extern Q_TESTLIB_EXPORT QStringList testTags;
};

QT_END_NAMESPACE

#endif
